org.appng.core.controller.filter

## Class MetricsFilter

- java.lang.Object
- - org.springframework.web.filter.GenericFilterBean
  - - org.springframework.web.filter.OncePerRequestFilter
    - - org.appng.core.controller.filter.MetricsFilter

- All Implemented Interfaces:
    javax.servlet.Filter, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.InitializingBean, org.springframework.context.EnvironmentAware, org.springframework.core.env.EnvironmentCapable, org.springframework.web.context.ServletContextAware

      public class MetricsFilter
      extends org.springframework.web.filter.OncePerRequestFilter

  A filter providing some prometheus metrics.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_ID`
    `static String` | `DATASOURCE_ID`
    `static String` | `EVENT_ID`
    `static String` | `REGISTRY`
    `static String` | `SERVICE_NAME`
    `static String` | `SERVICE_TYPE`

    - ### Fields inherited from class org.springframework.web.filter.OncePerRequestFilter

      `ALREADY_FILTERED_SUFFIX`

    - ### Fields inherited from class org.springframework.web.filter.GenericFilterBean

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricsFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doFilterInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain chain)`
    `static io.prometheus.client.CollectorRegistry` | `getRegistry(Environment env)`

    - ### Methods inherited from class org.springframework.web.filter.OncePerRequestFilter

      `doFilter, getAlreadyFilteredAttributeName, isAsyncDispatch, isAsyncStarted, shouldNotFilter, shouldNotFilterAsyncDispatch, shouldNotFilterErrorDispatch`

    - ### Methods inherited from class org.springframework.web.filter.GenericFilterBean

      `addRequiredProperty, afterPropertiesSet, createEnvironment, destroy, getEnvironment, getFilterConfig, getFilterName, getServletContext, init, initBeanWrapper, initFilterBean, setBeanName, setEnvironment, setServletContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_ID

          public static String EVENT_ID

    - #### DATASOURCE_ID

          public static String DATASOURCE_ID

    - #### ACTION_ID

          public static String ACTION_ID

    - #### SERVICE_TYPE

          public static String SERVICE_TYPE

    - #### SERVICE_NAME

          public static String SERVICE_NAME

    - #### REGISTRY

          public static final String REGISTRY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetricsFilter

          public MetricsFilter()

  - ### Method Detail

    - #### doFilterInternal

          protected void doFilterInternal(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response,
                                          javax.servlet.FilterChain chain)
                                   throws javax.servlet.ServletException,
                                          IOException

      Specified by:
        `doFilterInternal` in class `org.springframework.web.filter.OncePerRequestFilter`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### getRegistry

          public static io.prometheus.client.CollectorRegistry getRegistry(Environment env)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.